KBtin(6)

NAME
KBtin - a MUD client and an environment for line-based programs

SYNOPSIS
KBtin [ -v ] [ scriptfile [ scriptfile2 ... ]]

DESCRIPTION
KBtin is a MUD client based on the venerable tintin++ ; however it has uses beyond playing MUDs.
A few commands (try #help for the full list):

#session sesname hostname port
    Starts a new session. The sesname is a nickname of the new session, and doesn't play any important role. KBtin will open a telnet connection to the given hostname : port.

#run sesname command
    Starts a new session by running a local command. In particular, you can use it to start an encrypted connection by #run foo ssh foo.bar.baz.

#help command
    Gives you the help on command.

#verbatim
    Disables all input parsing, making all text pass as-is. Features such as scrollback, highlights, logging, keybindings or actions continue to work.

#end
    Exits KBtin and returns you to your shell.

OPTIONS

-v  Shows the processing done by all subsequent uses of #read. Equivalent to #verbose 1.

-q  Turns off the output from #read. Equivalent to #verbose 0.

scriptname
    Processes the commands in scriptname, using #read scriptname.

-c command
    Executes a single command. (Note: beware of the evil shell and escape
     '#'s!)

-s host port
    Starts a new session by opening a TELNET connection to the given host on the given port. KBtin will make up a session name for you.

-S host port
    Same, except that SSL encryption will be used.

-r shell_command
    Starts a new session by starting a local process. The process will be opened in a pseudo-terminal, making it interactive. The session name will be made up by KBtin.

-p  Selects the "pipe" driver (default if stdin or stdout is not a terminal).

-i  Selects the full interactive tty driver (usual default).

--no-simd
    Disables accelerated pattern matching even if supported; you should never have a need to specify this option.

SEE ALSO
ansi2txt, ansi2html.